Reinforcement BentShapeRebar/it: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "{{Arch Tools navi/it}}")
Line 122: Line 122:
{{docnav/it|[[Arch_Rebar_LShape/it|Armatura a L]]|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}
{{docnav/it|[[Arch_Rebar_LShape/it|Armatura a L]]|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}


{{Arch Tools navi}}
{{Arch Tools navi/it}}


{{Userdocnavi}}
{{Userdocnavi}}

Revision as of 16:58, 6 April 2019

Armatura sagomata

Posizione nel menu
Arch → Armatura → Armatura sagomata
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Staffe armatura, Armatura

Descrizione

Lo strumento Armatura sagomata crea una armatura sagomata in un elemento strutturale selezionato.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager, via the menu Tools → Addon manager → Reinforcement.

Utilizzo

  1. Creare un elemento Struttura
  2. Selezionare una qualsiasi faccia della struttura
  3. Selezionare Armatura sagomata dagli strumenti Armatura
  4. Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente
  5. Selezionare l'orientamento desiderato
  6. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
  7. Selezionare la modalità di distribuzione per la quantità e per la spaziatura
  8. Se la spaziatura è selezionata, l'utente può anche optare per una spaziatura personalizzata
  9. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
  10. Cliccare OK o Apply per generare l'armatura
  11. Cliccare Cancel per uscire dal pannello delle azioni

Taskview panel for the Arch Rebar BentShape tool

Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. in basso, in alto, a destra e a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiAnchor Length: È la lunghezza del braccio della barra piegata.
  • DatiBent Angle: L'angolo di piega
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Script

Lo strumento Armatura sagomata può essere usato nelle macro e dalla console python utilizzando la seguente funzione:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • L'armatura sagomata ha quattro orientamenti diversi:
    • Basso
    • Alto
    • Sinistra
    • Destra
  • Aggiunge un oggetto Armatura sagomata (Bent Shape) all'oggetto strutturale specificato.
  • Se Structure e Facename non sono fornite, prende come input la faccia selezionata dall'utente.
  • Here CoverAlong argument is having type tuple.
  • Restituisce il nuovo oggetto Rebar.

Example

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar is a previously created BentShapeRebar object.
  • The other parameters are the same as required by the makeBentShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")